---
search:
  tags:
    - Operations
    - GET
seo:
  description: >-
    Tenant-filtered durable and connected endpoint inventory; includes…
    Reference for the GET /api/agents endpoint in the StratifyIQ read contract
    pilot API.
sidebar:
  label: GET /api/agents
  badge: GET
title: GET /api/agents
type: openapi-operation
---
Tenant-filtered durable and connected endpoint inventory; includes offline endpoints.

`GET /api/agents`

**Responses**

- `200` — Authorized read result
- `default` — Authorization, attribution, provider or transport failure. Never healthy empty data.

Response example, 200:

```json
[
  {
    "agent_id": "string",
    "arch": "string",
    "client_id": "string",
    "connected_at": "2019-08-24T14:15:22Z",
    "connection_state": "string",
    "disconnected_at": "2019-08-24T14:15:22Z",
    "enrolled_at": "2019-08-24T14:15:22Z",
    "hostname": "string",
    "is_online": true,
    "last_heartbeat": "2019-08-24T14:15:22Z",
    "os": "string",
    "update_ring": "string",
    "version": "string"
  }
]
```
